Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.layout
Class BorderLayoutPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.layout.LayoutPresentationContext
                        |
                        +--com.bea.netuix.servlets.controls.layout.BorderLayoutPresentationContext

All Implemented Interfaces:
  Serializable

public class BorderLayoutPresentationContext
extends LayoutPresentationContext

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `BorderLayoutPresentationContext(Layout layout)`

Method Summary
`PlaceholderPresentationContext` | `center()`
`int` | `columns()` Counts the maximum number of columns for this context's border layout instance.
`PlaceholderPresentationContext` | `east()`
`static BorderLayoutPresentationContext` | `getBorderLayoutPresentationContext(HttpServletRequest request)`
`String` | `getLayoutStrategy()`
`PlaceholderPresentationContext` | `north()`
`PlaceholderPresentationContext` | `south()`
`PlaceholderPresentationContext` | `west()`

Methods inherited from class com.bea.netuix.servlets.controls.layout.LayoutPresentationContext
`getLayoutPresentationContext, getType`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderLayoutPresentationContext

    protected BorderLayoutPresentationContext(Layout layout)

Method Detail

### getLayoutStrategy

    public String getLayoutStrategy()

### north

    public PlaceholderPresentationContext north()

### west

    public PlaceholderPresentationContext west()

### center

    public PlaceholderPresentationContext center()

### east

    public PlaceholderPresentationContext east()

### south

    public PlaceholderPresentationContext south()

### columns

    public int columns()

  Counts the maximum number of columns for this context's border layout instance.

  Returns:
    A value between 1 and 3

### getBorderLayoutPresentationContext

    public static BorderLayoutPresentationContext getBorderLayoutPresentationContext(HttpServletRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved